> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/pdf-color-different.md).

# Why do my PDF colors look different in WebViewer?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

If you load a PDF and the colors look different in WebViewer compared to other PDF viewers (e.g. low color saturation) this is because "color management" is disabled without the use of the full API.

You can pass `fullAPI: true` to the WebViewer constructor to fix this and the colors should appear accurate.

If you don't want to use the full API you can also try disabling overprint which may make the colors appear closer to other viewers.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
const { documentViewer } = instance.Core;

documentViewer.addEventListener('documentLoaded', () => {
  const doc = documentViewer.getDocument();
  doc.setOverprintPreviewMode(instance.Core.OverprintPreviewMode.OFF);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

## What is color management?

A color management system (CMS) is used to produce accurate conversions between different color spaces (examples including CMYK and RGB) and ICC color profiles.

For many documents and users this level of accuracy is not necessary and color management can be disabled in order to reduce the performance costs of accurate color conversions.

That said, for customers in the prepress industry or when Overprint support is needed we recommend enabling color management to deliver the high color accuracy that would be required for such applications.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/pdf-color-different.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
